# Uses of Interface
org.opensaml.xmlsec.signature.KeyName

Packages that use KeyName
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of KeyName in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type KeyName
Modifier and Type
Field
Description
`private XMLSignatureBuilder<KeyName>`
Encrypter.`keyNameBuilder`
Builder for KeyName objects.

## Uses of KeyName in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type KeyName
Modifier and Type
Method
Description
`List<KeyName>`
KeyInfo.`getKeyNames()`
Get the list of KeyName child elements.

## Uses of KeyName in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement KeyName
Modifier and Type
Class
Description
`class`
`KeyNameImpl`
Concrete implementation of `KeyName`.
Methods in org.opensaml.xmlsec.signature.impl that return KeyName
Modifier and Type
Method
Description
`KeyName`
KeyNameBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`KeyName`
KeyNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type KeyName
Modifier and Type
Method
Description
`List<KeyName>`
KeyInfoImpl.`getKeyNames()`
Get the list of KeyName child elements.